import 'package:dartils/dartils.dart';
import 'package:test/expect.dart';
import 'package:test/scaffolding.dart';

void main () {
  group('isGreaterThan', () {
    test('should return then correct result for the given input', () {
      expect(NumberUtils.isGreaterThan(num1: 7, num2: 5), true);
      expect(NumberUtils.isGreaterThan(num1: 7.8, num2: 7.7), true);
      expect(NumberUtils.isGreaterThan(num1: 7.7, num2: 7.7), false);
      expect(NumberUtils.isGreaterThan(num1: 5, num2: 5), false);
      expect(NumberUtils.isGreaterThan(num1: 5, num2: 7), false);
    });
  });

  group('isGreaterThanOrEqual', () {
    test('should return then correct result for the given input', () {
      expect(NumberUtils.isGreaterThanOrEqual(num1: 7, num2: 5), true);
      expect(NumberUtils.isGreaterThanOrEqual(num1: 7.8, num2: 7.7), true);
      expect(NumberUtils.isGreaterThanOrEqual(num1: 7.7, num2: 7.7), true);
      expect(NumberUtils.isGreaterThanOrEqual(num1: 5, num2: 5), true);
      expect(NumberUtils.isGreaterThanOrEqual(num1: 5, num2: 7), false);
    });
  });

  group('isEqualTo', () {
    test('should return then correct result for the given input', () {
      expect(NumberUtils.isEqualTo(num1: 7, num2: 7), true);
      expect(NumberUtils.isEqualTo(num1: 7.8, num2: 7.8), true);
      expect(NumberUtils.isEqualTo(num1: 7, num2: 5), false);
      expect(NumberUtils.isEqualTo(num1: 5, num2: 7), false);
    });
  });

  group('isSmallerThanOrEqual', () {
    test('should return then correct result for the given input', () {
      expect(NumberUtils.isSmallerThanOrEqual(num1: 5, num2: 7), true);
      expect(NumberUtils.isSmallerThanOrEqual(num1: 7.8, num2: 7.8), true);
      expect(NumberUtils.isSmallerThanOrEqual(num1: 7, num2: 7), true);
      expect(NumberUtils.isSmallerThanOrEqual(num1: 7.1, num2: 7.2), true);
      expect(NumberUtils.isSmallerThanOrEqual(num1: 8, num2: 7), false);
    });
  });

  group('isSmallerThan', () {
    test('should return then correct result for the given input', () {
      expect(NumberUtils.isSmallerThan(num1: 5, num2: 7), true);
      expect(NumberUtils.isSmallerThan(num1: 7.1, num2: 7.2), true);
      expect(NumberUtils.isSmallerThan(num1: 7.8, num2: 7.8), false);
      expect(NumberUtils.isSmallerThan(num1: 7, num2: 7), false);
      expect(NumberUtils.isSmallerThan(num1: 8, num2: 7), false);
    });
  });
}