import 'package:dartils/dartils.dart';
import 'package:test/expect.dart';
import 'package:test/scaffolding.dart';

void main() {
  group('isBlank', () {
    test('should return true if the input is blank', () {
      expect(StringUtils.isBlank(input: "     "), true);
      expect(StringUtils.isBlank(input: ""), true);
      expect(StringUtils.isBlank(input: null), true);
    });

    test('should return false if the input is not blank', () {
      expect(StringUtils.isBlank(input: "a"), false);
      expect(StringUtils.isBlank(input: "   a"), false);
      expect(StringUtils.isBlank(input: "   a     "), false);
    });
  });

  group('isNotBlank', () {
    test('should return true if the input is not blank', () {
      expect(StringUtils.isNotBlank(input: "a"), true);
      expect(StringUtils.isNotBlank(input: "   a"), true);
      expect(StringUtils.isNotBlank(input: "   a     "), true);
    });

    test('should return false if the input is blank', () {
      expect(StringUtils.isNotBlank(input: "     "), false);
      expect(StringUtils.isNotBlank(input: ""), false);
      expect(StringUtils.isNotBlank(input: null), false);
    });
  });

  group('EMPTY_STRING', () {
    test('should return an empty string', () {
      expect(StringUtils.EMPTY_STRING, "");
    });
  });
}
